Bug 217998 - (alfont) Review Request: alfont - Font rendering library for the Allegro game library
Review Request: alfont - Font rendering library for the Allegro game library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT alphabet-soup
  Show dependency treegraph
 
Reported: 2006-12-01 00:51 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-03 15:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-12-01 00:51:00 EST
Spec URL: http://people.atrpms.net/~hdegoede/alfont.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alfont-2.0.6-1.fc7.src.rpm
Description:
alfont also known as AllegroFont or AlFont is a wrapper around the freetype2
library for use with the Allegro game library. Thus allowing the display of
text using freetype fonts on Allegro bitmaps.
Comment 1 Christopher Stone 2006-12-01 12:01:57 EST
==== REVIEW CHECKLIST ====
O rpmlint output:

PRE-INSTALL:
W: alfont-devel no-documentation

POST-INSTALL:
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 ugetc
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 ugetxc
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 getg
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 uvszprintf
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 getb
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 destroy_bitmap
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 getr
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 set_uformat
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 set_trans_blender
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 get_uformat
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 masked_blit
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 create_bitmap_ex
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 solid_mode
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 need_uconvert
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 makecol
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 drawing_mode
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 ustrlen

post-install rpmlint warnings must be investigated

- package named according to package naming guideliens
- spec file name matches %{name}
- meets packaging guidelines
- licensed with open source compatible license
- license matches actual license
- license included in %doc
- spec written in American english
- spec legible
- sources match upstream (unrared upstream and untarred sources and ran diff on
output:
diff -ubBr alfont-2.0.6 AlFont
(no output)
- package successfully compiles and builds on FC6 x86_64
- all dependencies listed in BR
- no locales
- proper %post/un sections
- package is not relocatable
- package owns all directories it creates
- file permissions set properly
- contains proper %clean section
- macro usage consistent
- contains code
- no large documentation
- %doc does not affect runtime
O header files in devel package
  devel package contains strange header file which looks like a windows version
- no pkgconfig files
- libs w/o suffix in devel
- devel package requires main package
- no .la files
- not a GUI app needing a .desktop file
- does not own files or directories owned by other packages

==== MUST FIX ====
- Investigate rpmlint warnings
- Why is /usr/include/alfont.h.linux in devel package?
Comment 2 Hans de Goede 2006-12-03 14:49:07 EST
(In reply to comment #1)
> ==== MUST FIX ====
> - Investigate rpmlint warnings
This is because I forgot to link the library with allegro, fixed. Now it gives:
[hans@shalem alfont]$ rpmlint alfont
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 _i_cx_r
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 _i_cx_w
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 _i_get_cpuid_info
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 _i_is_486
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6
_i_is_cpuid_supported
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 _i_is_cyrix
W: alfont undefined-non-weak-symbol /usr/lib64/libalfont.so.2.0.6 _i_is_fpu

This is normal, as allegro consists of a dynamiclinked .so and a statically
linked .a filoe which contains some non PIC and thus non sharable asm functions.

Also see the "allegro-config --libs" output.

> - Why is /usr/include/alfont.h.linux in devel package?
patch backup file installed by bad wildcard install, wildcard fixed.

Here is a new version with these both fixed:
Spec URL: http://people.atrpms.net/~hdegoede/alfont.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alfont-2.0.6-2.fc7.src.rpm
Comment 3 Christopher Stone 2006-12-03 15:08:46 EST
All MUST items fixed.

APPROVED.
Comment 4 Hans de Goede 2006-12-03 15:28:10 EST
Thanks! Imported and build requested, closing.

Note You need to log in before you can comment on or make changes to this bug.